%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 3.3.2
%define src_version 332
%define release	1mdk

%define realname ADOdb
%define modname adodb
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A10_%{modname}.ini

Summary:	ADOdb extension for PHP
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://php.weblogs.com/
License:	BSD
Source0:	adodb-%{src_version}.tar.bz2
Source1:	adodb.ini.bz2
Requires:	libphp_common%{libversion}
Requires:	php%{libversion}
Requires:	ADOdb >= 3.31
Requires:	php-mysql
BuildRequires:  php%{libversion}-devel
BuildRequires:	ADOdb >= 3.31
BuildRoot:	%{_tmppath}/%{name}-root
Provides: 	ADVXpackage

%description
The ADOdb PHP extension provides up to 75% speedup by replacing
parts of ADOdb with C code. This extension is compatible with 
ADOdb 3.31 or later.

%prep

%setup -q -n adodb-%{src_version}

%build

phpize
%configure --enable-adodb=shared
%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README.txt test-adodb.php README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_3.3.2-1mdk
- built for php 4.3.3
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.3.3.2-1mdk
- built for 4.3.2

* Sun May 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_3.3.2-1mdk
- initial cooker contrib
